Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_ORB_ObjectIdList_var Class Reference

`#include <ObjectIDList.h>`

Collaboration diagram for CORBA_ORB_ObjectIdList_var:

[legend]
List of all members.

## Public Methods
| CORBA_ORB_ObjectIdList_var (void)
| CORBA_ORB_ObjectIdList_var (CORBA_ORB_ObjectIdList *)
| CORBA_ORB_ObjectIdList_var (const CORBA_ORB_ObjectIdList_var &)
| ~CORBA_ORB_ObjectIdList_var (void)
CORBA_ORB_ObjectIdList_var & | operator= (CORBA_ORB_ObjectIdList *)
CORBA_ORB_ObjectIdList_var & | operator= (const CORBA_ORB_ObjectIdList_var &)
CORBA_ORB_ObjectIdList * | operator-> (void)
const CORBA_ORB_ObjectIdList * | operator-> (void) const
| operator const CORBA_ORB_ObjectIdList & () const
| operator CORBA_ORB_ObjectIdList & ()
| operator CORBA_ORB_ObjectIdList & () const
TAO_SeqElem_String_Manager | operator[] (CORBA::ULong slot)
const CORBA_ORB_ObjectIdList & | in (void) const
CORBA_ORB_ObjectIdList & | inout (void)
CORBA_ORB_ObjectIdList *& | out (void)
CORBA_ORB_ObjectIdList * | _retn (void)
CORBA_ORB_ObjectIdList * | ptr (void) const
## Private Attributes
CORBA_ORB_ObjectIdList * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_ORB_ObjectIdList_var::CORBA_ORB_ObjectIdList_var | ( | void |  | ) |

ACE_INLINE CORBA_ORB_ObjectIdList_var::CORBA_ORB_ObjectIdList_var | ( | CORBA_ORB_ObjectIdList * | p | ) |

ACE_INLINE CORBA_ORB_ObjectIdList_var::CORBA_ORB_ObjectIdList_var | ( | const CORBA_ORB_ObjectIdList_var & | p | ) |

ACE_INLINE CORBA_ORB_ObjectIdList_var::~CORBA_ORB_ObjectIdList_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CORBA_ORB_ObjectIdList * CORBA_ORB_ObjectIdList_var::_retn | ( | void |  | ) |

ACE_INLINE const CORBA_ORB_ObjectIdList & CORBA_ORB_ObjectIdList_var::in | ( | void |  | ) | const

ACE_INLINE CORBA_ORB_ObjectIdList & CORBA_ORB_ObjectIdList_var::inout | ( | void |  | ) |

ACE_INLINE CORBA_ORB_ObjectIdList_var::operator const CORBA_ORB_ObjectIdList & | ( |  | ) | const

ACE_INLINE CORBA_ORB_ObjectIdList_var::operator CORBA_ORB_ObjectIdList & | ( |  | ) | const

ACE_INLINE CORBA_ORB_ObjectIdList_var::operator CORBA_ORB_ObjectIdList & | ( |  | ) |

ACE_INLINE const CORBA_ORB_ObjectIdList * CORBA_ORB_ObjectIdList_var::operator-> | ( | void |  | ) | const

ACE_INLINE CORBA_ORB_ObjectIdList * CORBA_ORB_ObjectIdList_var::operator-> | ( | void |  | ) |

ACE_INLINE CORBA_ORB_ObjectIdList_var & CORBA_ORB_ObjectIdList_var::operator= | ( | const CORBA_ORB_ObjectIdList_var & | p | ) |

ACE_INLINE CORBA_ORB_ObjectIdList_var & CORBA_ORB_ObjectIdList_var::operator= | ( | CORBA_ORB_ObjectIdList * | p | ) |

ACE_INLINE TAO_SeqElem_String_Manager CORBA_ORB_ObjectIdList_var::operator[] | ( | CORBA::ULong | slot | ) |

ACE_INLINE CORBA_ORB_ObjectIdList *& CORBA_ORB_ObjectIdList_var::out | ( | void |  | ) |

ACE_INLINE CORBA_ORB_ObjectIdList * CORBA_ORB_ObjectIdList_var::ptr | ( | void |  | ) | const

## Member Data Documentation

CORBA_ORB_ObjectIdList* CORBA_ORB_ObjectIdList_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- ObjectIDList.h
- ObjectIDList.i